This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 795098 - (startactive) Review Request: startactive - An alternative Plasma session start script
Review Request: startactive - An alternative Plasma session start script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-02-19 05:56 EST by Jaroslav Reznik
Modified: 2012-02-28 05:56 EST (History)
5 users (show)

See Also:
Fixed In Version: startactive-0.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 11:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2012-02-19 05:56:29 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/startactive/startactive.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/startactive/startactive-0.2-1.fc16.src.rpm
Description: An alternative Plasma session start script, with 
limited scope to fit Plasma Active session needs.

Startactive is part of Plasma Active project.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3802636

rpmlint ../SRPMS/startactive-0.2-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint ../RPMS/x86_64/startactive-0.2-1.fc16.x86_64.rpm 
startactive.x86_64: W: no-manual-page-for-binary startactive
startactive.x86_64: W: no-manual-page-for-binary startactive.bin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Radek Novacek 2012-02-20 04:42:46 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint startactive-debuginfo-0.2-1.fc18.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint startactive-0.2-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint startactive-0.2-1.fc18.x86_64.rpm

startactive.x86_64: W: no-manual-page-for-binary startactive
startactive.x86_64: W: no-manual-page-for-binary startactive.bin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/radek/matahari/795098/startactive-0.2.tar.bz2 :
  MD5SUM this package     : 912fd6d293625b37dfe095a46dea81e7
  MD5SUM upstream package : 912fd6d293625b37dfe095a46dea81e7

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: startactive-0.2-unistdh.patch
     (startactive-0.2-unistdh.patch)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint startactive-debuginfo-0.2-1.fc18.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint startactive-0.2-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint startactive-0.2-1.fc18.x86_64.rpm

startactive.x86_64: W: no-manual-page-for-binary startactive
startactive.x86_64: W: no-manual-page-for-binary startactive.bin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Generated by fedora-review 0.1.2
External plugins:


No issues found during the review, setting fedora-review+.
Comment 2 Jaroslav Reznik 2012-02-21 08:11:40 EST
New Package SCM Request
=======================
Package Name: startactive
Short Description: An alternative Plasma session start script
Owners: jreznik rdieter kkofler than rnovacek
Branches: f17
InitialCC:
Comment 3 Jon Ciesla 2012-02-21 08:43:16 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-02-21 11:58:39 EST
startactive-0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/startactive-0.2-1.fc17
Comment 5 Fedora Update System 2012-02-28 05:56:47 EST
startactive-0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.